Support » Plugin: HTML Editor Syntax Highlighter » A possible issue with upcoming WP 4.3

  • Resolved Shaped Pixels

    (@shaped-pixels)


    Not necessarily a support request because WP 4.3 is not officially out yet, but I might have discovered a problem with your plugin and the upcoming WP 4.3. I was working on my next theme and decided to test it in a beta of WP 4.3 after developing the theme on 4.2.2.

    My setup is:

    1. XAMPP local server setup on Windows
    2. Editor is TinyMCE Advanced
    3. Your plugin

    With WP 4.3 beta, and your plugin enabled, the Text(HTML) view on the editor is collapsed and cannot access it. It does the same if I disable the TinyMCE Advanced plugin but keep yours active.

    If I disable your plugin, but keep the TinyMCE Advanced editor active, the Text (HTML) tab works and can view the code. If I use the WP default editor instead, I can also access the HTML code.

    So it appears there maybe a code conflict between the upcoming WP 4.3 and your plugin, so I thought I would give you heads up on the issue I experienced.

    I really like your plugin and hope to keep using it. It’s been on my top favorites list of plugins for quite some time now.

    Cheers!
    Andre

    https://wordpress.org/plugins/html-editor-syntax-highlighter/

    [ Moderator note: If you are not the original poster then per the forum welcome please post your own topic. ]

Viewing 7 replies - 1 through 7 (of 7 total)
  • Having the same problem here. I can’t seem to find a solution. After updating to WordPress 4.3 and when switching from WYSIWYG editor – >HTML editor, the editor field doesn’t show unless i press F5/save the post and reload.

    Yep, it’s broken in 4.3 for me, too. Also using TinyMCE Advanced plugin.

    Looks like the update we just got solved the issue. Thanks to the developer for this, because this plugin really does help make the WP editor better.

    Plugin Author Peter Mukhortov

    (@nixdns)

    Yes, this issue has been fixed in the plugin version v 1.6.8

    Thanks for fix. I love the plugin; keep it up. Cheers.

    Thanks for the update and the fix. Buuut it’s still broken for me. Can’t think of any other plugins I’m using that would be conflicting with this.

    I see an error in Chrome web dev console that reads:
    Uncaught TypeError: switchEditors.switchto is not a function

    I think it’s originating in HTML Editor Syntax Highlighter plugin file hesh.min.js.

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘A possible issue with upcoming WP 4.3’ is closed to new replies.